jvx.loader

## Class PsJvzConfig

- java.lang.Object
- - jv.object.PsObject
  - - jvx.loader.PsJvzConfig

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PsJvzConfig
      extends PsObject

  Container class for options related to Jvz compression/decompression.
  See Also:
    Serialized Form
  Author:
    Felix Kaelberer, Konrad Polthier
  Version:
    13.03.06, 1.20 revised (fk) made all methods, variables static. 11.03.06, 1.10 revised (kp) moved from dev.loader.PcJvzConfig to jvx.loader.PsJvzConfig 04.03.06, 1.00 created (fk) Created by moving methods from PuJvzEncoder here.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `bSHOW_TIMINGS` Flag to show timings in the console.
    `static int` | `RESOLUTION_AUTOMATIC` Automatic choice of compression accuracy, based on number of vertices.
    `static int` | `RESOLUTION_DOUBLE` Double resolution for encoding of PdVector arrays (52 bits mantissa).
    `static int` | `RESOLUTION_FLOAT` Use same resolution as floats for quantization of PdVector arrays (24 bits mantissa).
    `static int` | `RESOLUTION_HIGH` High resolution for encoding of PdVector arrays (16 bits mantissa).
    `static int` | `RESOLUTION_INVISIBLE` A resolution for encoding of PdVector arrays which leads to imperceptible errors (20 bits mantissa).
    `static int` | `RESOLUTION_LOSSLESS` Resolution for encoding of PdVector arrays.
    `static int` | `RESOLUTION_MEDIUM` Medium resolution for encoding of PdVector arrays (12 bits mantissa).
    `static int` | `RESOLUTION_OVERKILL` Ultra high resolution for encoding of PdVector arrays (32 bits mantissa).

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsJvzConfig()` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getDoubleResolution()` Get Resolution for encoding double valued data.
    `static boolean` | `getStoreElementBackColors()` get flag if element back colors will be stored.
    `static boolean` | `getStoreElementColors()` get flag if element colors will be stored.
    `static boolean` | `getStoreElementIndices()` get flag if element indices will be stored.
    `static boolean` | `getStoreElementNormals()` get flag if element normals will be stored.
    `static boolean` | `getStoreElementTextures()` get flag if element textures will be stored.
    `static boolean` | `getStoreElementVF()` get flag if element vector fields will be stored.
    `static boolean` | `getStoreLocalIndex()` Get flag if local indices should be stored.
    `static boolean` | `getStoreVertexColors()` get flag if vertex colors will be stored.
    `static boolean` | `getStoreVertexIndices()` get flag if vertex indices will be stored.
    `static boolean` | `getStoreVertexNormals()` get flag if vertex normals will be stored.
    `static boolean` | `getStoreVertexTextures()` get flag if vertex textures will be stored.
    `static boolean` | `getStoreVertexVF()` get flag if vertex vector fields will be stored.
    `void` | `init()` Initialization.
    `static void` | `setDoubleResolution(int resolution)` Set Resolution for encoding double valued data.
    `static void` | `setStoreElementBackColors(boolean b)` Set flag if element back colors will be stored.
    `static void` | `setStoreElementColors(boolean b)` Set flag if element colors will be stored.
    `static void` | `setStoreElementIndices(boolean b)` Set flag if element indices will be stored.
    `static void` | `setStoreElementNormals(boolean b)` Set flag if element normals will be stored.
    `static void` | `setStoreElementTextures(boolean b)` Set flag if element textures will be stored.
    `static void` | `setStoreElementVF(boolean b)` Set flag if element vector fields will be stored.
    `static void` | `setStoreLocalIndex(boolean b)` Set flag if local indices should be stored.
    `static void` | `setStoreVertexColors(boolean b)` Set flag if vertex colors will be stored.
    `static void` | `setStoreVertexIndices(boolean b)` Set flag if vertex indices will be stored.
    `static void` | `setStoreVertexNormals(boolean b)` Set flag if vertex normals will be stored.
    `static void` | `setStoreVertexTextures(boolean b)` Set flag if vertex textures will be stored.
    `static void` | `setStoreVertexVF(boolean b)` Set flag if vertex vector fields will be stored.

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### RESOLUTION_AUTOMATIC

          public static final int RESOLUTION_AUTOMATIC

      Automatic choice of compression accuracy, based on number of vertices.
      See Also:
        Constant Field Values

    - #### RESOLUTION_LOSSLESS

          public static final int RESOLUTION_LOSSLESS

      Resolution for encoding of PdVector arrays. Encode all bits.
      See Also:
        Constant Field Values

    - #### RESOLUTION_MEDIUM

          public static final int RESOLUTION_MEDIUM

      Medium resolution for encoding of PdVector arrays (12 bits mantissa).
      See Also:
        Constant Field Values

    - #### RESOLUTION_HIGH

          public static final int RESOLUTION_HIGH

      High resolution for encoding of PdVector arrays (16 bits mantissa).
      See Also:
        Constant Field Values

    - #### RESOLUTION_INVISIBLE

          public static final int RESOLUTION_INVISIBLE

      A resolution for encoding of PdVector arrays which leads to imperceptible errors (20 bits mantissa).
      See Also:
        Constant Field Values

    - #### RESOLUTION_FLOAT

          public static final int RESOLUTION_FLOAT

      Use same resolution as floats for quantization of PdVector arrays (24 bits mantissa).
      See Also:
        Constant Field Values

    - #### RESOLUTION_OVERKILL

          public static final int RESOLUTION_OVERKILL

      Ultra high resolution for encoding of PdVector arrays (32 bits mantissa).
      See Also:
        Constant Field Values

    - #### RESOLUTION_DOUBLE

          public static final int RESOLUTION_DOUBLE

      Double resolution for encoding of PdVector arrays (52 bits mantissa).
      See Also:
        Constant Field Values

    - #### bSHOW_TIMINGS

          public static final boolean bSHOW_TIMINGS

      Flag to show timings in the console.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PsJvzConfig

          public PsJvzConfig()

      Constructor.

  - ### Method Detail

    - #### init

          public void init()

      Initialization.
      Overrides:
        `init` in class `PsObject`

    - #### setDoubleResolution

          public static void setDoubleResolution(int resolution)

      Set Resolution for encoding double valued data.
      See Also:
        `RESOLUTION_AUTOMATIC`, `RESOLUTION_MEDIUM`, `RESOLUTION_HIGH`, `RESOLUTION_INVISIBLE`, `RESOLUTION_FLOAT`, `RESOLUTION_OVERKILL`, `RESOLUTION_DOUBLE`, `RESOLUTION_LOSSLESS`

    - #### getDoubleResolution

          public static int getDoubleResolution()

      Get Resolution for encoding double valued data.

    - #### setStoreVertexIndices

          public static void setStoreVertexIndices(boolean b)

      Set flag if vertex indices will be stored. If indices are not stored, global vertex indices will permute during compression/decompression.

    - #### getStoreVertexIndices

          public static boolean getStoreVertexIndices()

      get flag if vertex indices will be stored.

    - #### setStoreVertexColors

          public static void setStoreVertexColors(boolean b)

      Set flag if vertex colors will be stored.

    - #### getStoreVertexColors

          public static boolean getStoreVertexColors()

      get flag if vertex colors will be stored.

    - #### setStoreVertexNormals

          public static void setStoreVertexNormals(boolean b)

      Set flag if vertex normals will be stored.

    - #### getStoreVertexNormals

          public static boolean getStoreVertexNormals()

      get flag if vertex normals will be stored.

    - #### setStoreVertexTextures

          public static void setStoreVertexTextures(boolean b)

      Set flag if vertex textures will be stored.

    - #### getStoreVertexTextures

          public static boolean getStoreVertexTextures()

      get flag if vertex textures will be stored.

    - #### setStoreVertexVF

          public static void setStoreVertexVF(boolean b)

      Set flag if vertex vector fields will be stored.

    - #### getStoreVertexVF

          public static boolean getStoreVertexVF()

      get flag if vertex vector fields will be stored.

    - #### setStoreElementIndices

          public static void setStoreElementIndices(boolean b)

      Set flag if element indices will be stored. If indices are not stored, the element indices will permute during compression/decompression.

    - #### getStoreElementIndices

          public static boolean getStoreElementIndices()

      get flag if element indices will be stored.

    - #### setStoreLocalIndex

          public static void setStoreLocalIndex(boolean b)

      Set flag if local indices should be stored. If indices are not stored, local vertex indices within elements will permute during compression/decompression.

    - #### getStoreLocalIndex

          public static boolean getStoreLocalIndex()

      Get flag if local indices should be stored.

    - #### setStoreElementColors

          public static void setStoreElementColors(boolean b)

      Set flag if element colors will be stored.

    - #### getStoreElementColors

          public static boolean getStoreElementColors()

      get flag if element colors will be stored.

    - #### setStoreElementBackColors

          public static void setStoreElementBackColors(boolean b)

      Set flag if element back colors will be stored.

    - #### getStoreElementBackColors

          public static boolean getStoreElementBackColors()

      get flag if element back colors will be stored.

    - #### setStoreElementNormals

          public static void setStoreElementNormals(boolean b)

      Set flag if element normals will be stored.

    - #### getStoreElementNormals

          public static boolean getStoreElementNormals()

      get flag if element normals will be stored.

    - #### setStoreElementTextures

          public static void setStoreElementTextures(boolean b)

      Set flag if element textures will be stored.

    - #### getStoreElementTextures

          public static boolean getStoreElementTextures()

      get flag if element textures will be stored.

    - #### setStoreElementVF

          public static void setStoreElementVF(boolean b)

      Set flag if element vector fields will be stored.

    - #### getStoreElementVF

          public static boolean getStoreElementVF()

      get flag if element vector fields will be stored.

"

The software JavaView? is copyright protected. All Rights Reserved.
"